<?php

namespace Drupal\mustache\Plugin;

use Drupal\Component\Plugin\PluginInspectionInterface;
use Drupal\Component\Render\MarkupInterface;

/**
 * The interface implemented by all Mustache magic variable plugins.
 */
interface MustacheMagicInterface extends PluginInspectionInterface, MarkupInterface {

  /**
   * Implements the magic __serialize() method.
   *
   * @return array
   *   The array for serialization.
   */
  public function __serialize();

}
